<?php

 session_start();
  $rut=$_SESSION['rut'];
  $rut2 = str_replace('.','',$rut);
  $cliente=$_SESSION['cliente'];
  $defecto_foto1=$_REQUEST['defecto_foto1'];
  $caja_id=$_REQUEST['caja_id'];
  
  $link="image_huerto/".$cliente."/";
   include '../../conexion/conn.php';
//comprobamos que sea una petición ajax

   
if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') 
{


    if(isset($_REQUEST['editar'])){
        $rsnum = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE caja_id='$caja_id'");

    $sql6 = "DELETE FROM cal_caja_pla_huerto WHERE caja_id='$caja_id'";
    $result6 = @mysql_query($sql6);
   }

    $nombre_foto=$rut2."_".$caja_id."";
 
    //obtenemos el archivo a subir
    $file = $_FILES['foto1']['name'];
 
    //comprobamos si existe un directorio para subir el archivo
    //si no es así, lo creamos
    if(!is_dir("../image_huerto/".$cliente."/")) 
        mkdir("../image_huerto/".$cliente."/", 0777);
     
    //comprobamos si el archivo ha subido
    if ($file && move_uploaded_file($_FILES['foto1']['tmp_name'],"../image_huerto/".$cliente."/".$nombre_foto.".jpg"))
    {
        //achicar foto

        $imagen='../image_huerto/'.$cliente.'/'.$nombre_foto.'.jpg'; 
        # ruta de la imagen final, si se pone el mismo nombre que la imagen, esta se sobreescribe 
        $imagen_final='../image_huerto/'.$cliente.'/'.$nombre_foto.'.jpg'; 
        $ancho_nuevo=640; 
        $alto_nuevo=480; 
        redim ($imagen,$imagen_final,$ancho_nuevo,$alto_nuevo); 

        
        $fileName = $nombre_foto.".jpg";
        
        $imagen_content=base64_encode(file_get_contents('../image_huerto/'.$cliente.'/'.$fileName));
        //$imagen_content=$content;
        //$imagen_content=base64_encode($imagen_content);
        $sql =  ("UPDATE cal_caja_pla_huerto SET foto_nombre='$nombre_foto', defecto_foto='$defecto_foto1' WHERE caja_id='$caja_id'");
        $result = @mysql_query($sql);

       sleep(3);//retrasamos la petición 3 segundos
       echo "Foto Guardada Con Exito";//devolvemos el nombre del archivo para pintar la imagen
    }
}else{
    throw new Exception("Error Processing Request", 1);   
}


function redim($ruta1,$ruta2,$ancho,$alto) 
    { 
    # se obtene la dimension y tipo de imagen 
    $datos=getimagesize ($ruta1); 
     
    $ancho_orig = $datos[0]; # Anchura de la imagen original 
    $alto_orig = $datos[1];    # Altura de la imagen original 
    $tipo = $datos[2]; 
     
    if ($tipo==1){ # GIF 
        if (function_exists("imagecreatefromgif")) 
            $img = imagecreatefromgif($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==2){ # JPG 
        if (function_exists("imagecreatefromjpeg")) 
            $img = imagecreatefromjpeg($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==3){ # PNG 
        if (function_exists("imagecreatefrompng")) 
            $img = imagecreatefrompng($ruta1); 
        else 
            return false; 
    } 
     
    # Se calculan las nuevas dimensiones de la imagen 
    if ($ancho_orig>$alto_orig) 
        { 
        $ancho_dest=$ancho; 
        $alto_dest=($ancho_dest/$ancho_orig)*$alto_orig; 
        } 
    else 
        { 
        $alto_dest=$alto; 
        $ancho_dest=($alto_dest/$alto_orig)*$ancho_orig; 
        } 

    // imagecreatetruecolor, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    $img2=@imagecreatetruecolor($ancho_dest,$alto_dest) or $img2=imagecreate($ancho_dest,$alto_dest); 

    // Redimensionar 
    // imagecopyresampled, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    @imagecopyresampled($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig) or imagecopyresized($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig); 

    // Crear fichero nuevo, según extensión. 
    if ($tipo==1) // GIF 
        if (function_exists("imagegif")) 
            imagegif($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==2) // JPG 
        if (function_exists("imagejpeg")) 
            imagejpeg($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==3)  // PNG 
        if (function_exists("imagepng")) 
            imagepng($img2, $ruta2); 
        else 
            return false; 
     
    return true; 
    } 